summaryrefslogtreecommitdiff
path: root/TAO/tests/RTCORBA/Priority_Inversion_With_Bands/run_test.pl
diff options
context:
space:
mode:
Diffstat (limited to 'TAO/tests/RTCORBA/Priority_Inversion_With_Bands/run_test.pl')
-rwxr-xr-xTAO/tests/RTCORBA/Priority_Inversion_With_Bands/run_test.pl133
1 files changed, 60 insertions, 73 deletions
diff --git a/TAO/tests/RTCORBA/Priority_Inversion_With_Bands/run_test.pl b/TAO/tests/RTCORBA/Priority_Inversion_With_Bands/run_test.pl
index fe69e135062..d4ae066b917 100755
--- a/TAO/tests/RTCORBA/Priority_Inversion_With_Bands/run_test.pl
+++ b/TAO/tests/RTCORBA/Priority_Inversion_With_Bands/run_test.pl
@@ -6,118 +6,105 @@ eval '(exit $?0)' && eval 'exec perl -S $0 ${1+"$@"}'
# -*- perl -*-
use lib "$ENV{ACE_ROOT}/bin";
-use PerlACE::Run_Test;
+use PerlACE::TestTarget;
$server_static_threads = 1;
$server_dynamic_threads = 0;
+
$status = 0;
+
$continuous = ($^O eq 'hpux');
$common_args = ($continuous ? "-ORBSvcConf continuous$PerlACE::svcconf_ext" : '');
+my $server = PerlACE::TestTarget::create_target (1) || die "Create target 1 failed\n";
+my $client = PerlACE::TestTarget::create_target (2) || die "Create target 2 failed\n";
+
+
@configurations =
- (
- {
- file => "ior_2",
- args => "-b 0",
- description => "Invoking methods on servant in thread lanes without bands",
- },
- {
- file => "ior_2",
- args => "-b 1",
- description => "Invoking methods on servant in thread lanes with bands",
- },
- {
- file => "ior_1",
- args => "-b 0",
- description => "Invoking methods on servant in thread pool without bands",
- },
- {
- file => "ior_1",
- args => "-b 1",
- description => "Invoking methods on servant in thread pool with bands",
- },
- );
+ ({
+ file => "ior_2",
+ args => "-b 0",
+ description => "Invoking methods on servant in thread lanes without bands",
+ },{
+ file => "ior_2",
+ args => "-b 1",
+ description => "Invoking methods on servant in thread lanes with bands",
+ },{
+ file => "ior_1",
+ args => "-b 0",
+ description => "Invoking methods on servant in thread pool without bands",
+ },{
+ file => "ior_1",
+ args => "-b 1",
+ description => "Invoking methods on servant in thread pool with bands",
+ },);
sub run_test
- {
- for $test (@configurations)
- {
- unlink PerlACE::LocalFile($test->{file});
- }
+{
+ for $test (@configurations) {
+ $server->DeleteFile ($test->{file});
+ }
my @parms = @_;
$arg = $parms[0];
- if (PerlACE::is_vxworks_test()) {
- $SV = new PerlACE::ProcessVX ("server", "$common_args -s $server_static_threads -d $server_dynamic_threads");
- }
- else {
- $SV = new PerlACE::Process ("server", "$common_args -s $server_static_threads -d $server_dynamic_threads");
+ $SV = $server->CreateProcess ("server", "$common_args -s $server_static_threads -d $server_dynamic_threads");
+
+ $server_status = $SV->Spawn ();
+ if ($server_status == -1) {
+ exit $server_status;
}
- $server = $SV->Spawn ();
- if ($server == -1)
- {
- exit $status;
- }
-
- for $test (@configurations)
- {
- if (PerlACE::waitforfile_timed (PerlACE::LocalFile($test->{file}),$PerlACE::wait_interval_for_process_creation ) == -1)
- {
- $server = $SV->TimedWait (1);
- if ($server == 2)
- {
+ for $test (@configurations) {
+ if ($server->WaitForFileTimed ($test->{file},
+ $server->ProcessStartWaitInterval()) == -1) {
+ $server_status = $SV->TimedWait (1);
+ if ($server_status == 2) {
# Mark as no longer running to avoid errors on exit.
$SV->{RUNNING} = 0;
exit $status;
- }
- else
- {
+ }
+ else {
print STDERR "ERROR: cannot find ior file: $test->{file}\n";
$status = 1;
goto kill_server;
- }
- }
+ }
+ }
print $test->{file}."\n";
- }
+ }
- $CL[$i] = new PerlACE::Process ("client", "$common_args $arg");
+ $CL[$i] = $client->CreateProcess ("client", "$common_args $arg");
$CL[$i]->Spawn ();
- $client = $CL[$i]->WaitKill (20);
- if ($client != 0)
- {
- print STDERR "ERROR: client returned $client\n";
+ $client_status = $CL[$i]->WaitKill ($client->ProcessStartWaitInterval (60));
+ if ($client_status != 0) {
+ print STDERR "ERROR: client returned $client_status\n";
$status = 1;
goto kill_server;
- }
+ }
- kill_server:
+kill_server:
- $server = $SV->WaitKill (120);
+ $server_status = $SV->WaitKill ($server->ProcessStopWaitInterval (120));
- if ($server != 0)
- {
- print STDERR "ERROR: server returned $server\n";
+ if ($server_status != 0) {
+ print STDERR "ERROR: server returned $server_status\n";
$status = 1;
- }
+ }
- for $test (@configurations)
- {
- unlink PerlACE::LocalFile($test->{file});
- }
- }
+ for $test (@configurations) {
+ $server->DeleteFile ($test->{file});
+ }
+}
-for $test (@configurations)
- {
+for $test (@configurations) {
print STDERR "\n*************************************************************\n";
print STDERR "$test->{description}\n";
print STDERR "*************************************************************\n\n";
- my $file = PerlACE::LocalFile($test->{file});
+ my $file = $server->LocalFile($test->{file});
run_test ("-k file://$file $test->{args}");
- }
+}
exit $status